package com.fs.his.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.his.domain.FsProject;

/**
 * 理疗配置Service接口
 * 
 * @author fs
 * @date 2026-04-19
 */
public interface IFsProjectService extends IService<FsProject>{
    /**
     * 查询理疗配置
     * 
     * @param id 理疗配置主键
     * @return 理疗配置
     */
    FsProject selectFsProjectById(Long id);

    /**
     * 查询理疗配置列表
     * 
     * @param fsProject 理疗配置
     * @return 理疗配置集合
     */
    List<FsProject> selectFsProjectList(FsProject fsProject);

    /**
     * 新增理疗配置
     * 
     * @param fsProject 理疗配置
     * @return 结果
     */
    int insertFsProject(FsProject fsProject);

    /**
     * 修改理疗配置
     * 
     * @param fsProject 理疗配置
     * @return 结果
     */
    int updateFsProject(FsProject fsProject);

    /**
     * 批量删除理疗配置
     * 
     * @param ids 需要删除的理疗配置主键集合
     * @return 结果
     */
    int deleteFsProjectByIds(Long[] ids);

    /**
     * 删除理疗配置信息
     * 
     * @param id 理疗配置主键
     * @return 结果
     */
    int deleteFsProjectById(Long id);

    /**
     * 理疗配置选项数据
     * @return
     */
    List<FsProject> selectFsProjectListOptions();

    /**
     * 理疗配置选项数据
     */
    List<FsProject> selectFsProjectListOptionsById(Long cateId);

    /**
     * 生成声音
     */
    void generateSound(FsProject fsProject);
}
